#include "Fire.h"
#include "Level.h"



Fire::Fire()
{
  TexSection = LD::TEX_FIRE_PARTICLE;
  Color = 0xffc0c0c0;
}



void Fire::Update( Level& theLevel, float ElapsedTime )
{
  FractPos += Speed * ElapsedTime;
  AdjustFractPos();

  Unit::Update( theLevel, ElapsedTime );
}



void Fire::UpdateFixedTimeStep( Level& theLevel )
{
  Speed *= 0.98f;
}